Bug 141088 - init 3 triggers fast swelling gdm log file containing repeated "GE timeout" lines
init 3 triggers fast swelling gdm log file containing repeated "GE timeout" l...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-29 02:13 EST by Frank Wang
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-18 00:12:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Frank Wang 2004-11-29 02:13:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
After successful install of FC3 in custom mode with default packages
selection (only desktop was alter to xfce, gnome was deselected) on my
Twinhead P88TE laptop with Celeron II 366M/20G/192M, the root
partition had at least 1.5G free space. 'init 3' and 'yum update' were
executed in console after first reboot. And 'yum update' aborted with
writing disk error soon. Then I found free harddisk space decreased to
nearly zero. Aparently the downloaded updating rpm pkgs coul
dn't take all the 1.5G free space. Statistic of directories indicated
nearly all the space was occupied by gdm log file
/var/log/gdm/:0.log.1 with huge number "GE timeout" lines in it. And
'top' showed an X process was still running after 'init 3'. Kill that
X process automatically decreased the log file to a "normal" size.
Problem persists with my system was updated on 29th Nov.


Version-Release number of selected component (if applicable):
SysVinit-2.85-34

How reproducible:
Always

Steps to Reproduce:
1. run 'init 3' in a console with root privilege.
2. keep running 'df'

Actual Results:  You'll find fast decreasing free hard disk space in
/var partition

Expected Results:  No fast swelling gdm log files to fill the whole disk

Additional info:

Workaround: kill the X process manully after 'init 3'
Comment 1 Matthew Miller 2006-07-10 17:41:01 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Frank Wang 2006-08-18 00:10:09 EDT
I'm currently using fc4, and the above-mentioned issue is gone. I know fc4 was 
changed to Fedora Legacy as well. I'd like to upgrade to fc5 or fc6 but there 
are some other issues of this old laptop with the latest 2.6 kernels, say 
unrecognized sound card, so I'll temporarily stay with fc4 until those 
problems resolved.
Comment 3 Matthew Miller 2006-08-18 00:12:35 EDT
Thanks for the info.

Note You need to log in before you can comment on or make changes to this bug.